From 6e52fc95a8b4e38ee6a1ac31d53446e0a97179e3 Mon Sep 17 00:00:00 2001
From: Balint Reczey <balint@balintreczey.hu>
Date: Sun, 7 Jan 2024 12:20:36 +0100
Subject: [PATCH] dh_clean: Clean __pycache__

Closes: #1048890
---
 dh_clean | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/dh_clean b/dh_clean
index beb67c49..a11d09c5 100755
--- a/dh_clean
+++ b/dh_clean
@@ -24,8 +24,8 @@ assume that B<dh_clean> will clean up after them.
 
 It removes the package build directories, and removes some other files including
 F<debian/files>, and any detritus left behind by other debhelper commands. It
-also removes common files that should not appear in a Debian diff:
-  #*# *~ DEADJOE *.orig *.rej *.SUMS TAGS .deps/* *.P *-stamp
+also removes common files and directories that should not appear in a Debian diff:
+  #*# *~ DEADJOE *.orig *.rej *.SUMS __pycache__ TAGS .deps/* *.P *-stamp
 
 It does not run "make clean" to clean up after the build process. Use
 L<dh_auto_clean(1)> to do things like that.
@@ -178,7 +178,7 @@ if (! $dh{D_FLAG}) {
 		 -o -name '.*.orig' -o -name .*.rej -o -name '.SUMS' \\
 		 -o -name TAGS -o \\( -path '*/.deps/*' -a -name '*.P' \\) \\
 		\\) -exec rm -f {} + \\) -o \\
-		\\( -type d -a -name autom4te.cache -prune -exec rm -rf {} + \\) \\)");
+		\\( -type d -a \\( -name autom4te.cache -o -name __pycache__ \\) -prune -exec rm -rf {} + \\) \\)");
 }
 
 if (!compat(6) && !$dh{K_FLAG}) {
-- 
2.40.1

